<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: LiveInfo2VIAMPType Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00058.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">LiveInfo2VIAMPType Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>VIAMP liveInfo2 structure used in <a class="el" href="a00002.html#ad986e951938330f6e1b081e4ca347b1b" title="Returns extended live system status information from VIAMP.">liveInfo2VIAMP()</a>.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="a00008_source.html">types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:afe87eec97c26ff58495ce86e015d976f" id="r_afe87eec97c26ff58495ce86e015d976f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a593679ebe2c5361d1e91ebc58b3e25e3">LiveInfoVIAMPStateType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afe87eec97c26ff58495ce86e015d976f">st</a></td></tr>
<tr class="memdesc:afe87eec97c26ff58495ce86e015d976f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current system status of the VIAMP.  <br /></td></tr>
<tr class="separator:afe87eec97c26ff58495ce86e015d976f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c0499f53c40362fddf75a44b9a31cb" id="r_a08c0499f53c40362fddf75a44b9a31cb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a28d62e044fc472c1bd5e34bfe57cf8a3">LiveInfoVIAMPErrorType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a08c0499f53c40362fddf75a44b9a31cb">er</a></td></tr>
<tr class="memdesc:a08c0499f53c40362fddf75a44b9a31cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current error code of the VIAMP.  <br /></td></tr>
<tr class="separator:a08c0499f53c40362fddf75a44b9a31cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a422da0ae469d2e81eb57e933f93368d7" id="r_a422da0ae469d2e81eb57e933f93368d7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a422da0ae469d2e81eb57e933f93368d7">viampAdc</a></td></tr>
<tr class="memdesc:a422da0ae469d2e81eb57e933f93368d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The ADC value in V as 32 bit float.  <br /></td></tr>
<tr class="separator:a422da0ae469d2e81eb57e933f93368d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bc84d0a46e6bc245c9a3381e310cae2" id="r_a0bc84d0a46e6bc245c9a3381e310cae2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0bc84d0a46e6bc245c9a3381e310cae2">r1</a></td></tr>
<tr class="memdesc:a0bc84d0a46e6bc245c9a3381e310cae2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Ring1 voltage in V as 32 bit float.  <br /></td></tr>
<tr class="separator:a0bc84d0a46e6bc245c9a3381e310cae2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a034e17abde75680aeedb87fcc13810c4" id="r_a034e17abde75680aeedb87fcc13810c4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a034e17abde75680aeedb87fcc13810c4">bk</a></td></tr>
<tr class="memdesc:a034e17abde75680aeedb87fcc13810c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Back voltage in V as 32 bit float.  <br /></td></tr>
<tr class="separator:a034e17abde75680aeedb87fcc13810c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4409e8f7f173f2922a9d22d74885398" id="r_ae4409e8f7f173f2922a9d22d74885398"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae4409e8f7f173f2922a9d22d74885398">rx</a></td></tr>
<tr class="memdesc:ae4409e8f7f173f2922a9d22d74885398"><td class="mdescLeft">&#160;</td><td class="mdescRight">The RingX voltage in V as 32 bit float.  <br /></td></tr>
<tr class="separator:ae4409e8f7f173f2922a9d22d74885398"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c070d3668d24864810a1a6c15b14792" id="r_a7c070d3668d24864810a1a6c15b14792"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7c070d3668d24864810a1a6c15b14792">itec</a></td></tr>
<tr class="memdesc:a7c070d3668d24864810a1a6c15b14792"><td class="mdescLeft">&#160;</td><td class="mdescRight">The peltier output current as 32 bit float in ampere.  <br /></td></tr>
<tr class="separator:a7c070d3668d24864810a1a6c15b14792"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26dc46d0a29a1460a4735aea9991f92f" id="r_a26dc46d0a29a1460a4735aea9991f92f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a26dc46d0a29a1460a4735aea9991f92f">utec</a></td></tr>
<tr class="memdesc:a26dc46d0a29a1460a4735aea9991f92f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The peltier output voltage as 32 bit float in volts.  <br /></td></tr>
<tr class="separator:a26dc46d0a29a1460a4735aea9991f92f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe086c30c0e9332053e4e9af4ba77634" id="r_afe086c30c0e9332053e4e9af4ba77634"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afe086c30c0e9332053e4e9af4ba77634">sddTmp</a></td></tr>
<tr class="memdesc:afe086c30c0e9332053e4e9af4ba77634"><td class="mdescLeft">&#160;</td><td class="mdescRight">The SDD temperature as 32 bit float in degrees Celsius.  <br /></td></tr>
<tr class="separator:afe086c30c0e9332053e4e9af4ba77634"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d1dbe5dfc70c60cf58105d8f69dab10" id="r_a7d1dbe5dfc70c60cf58105d8f69dab10"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7d1dbe5dfc70c60cf58105d8f69dab10">targetTmp</a></td></tr>
<tr class="memdesc:a7d1dbe5dfc70c60cf58105d8f69dab10"><td class="mdescLeft">&#160;</td><td class="mdescRight">(Target temperature, not TARGET_TMP_EEP (EEPROM)) contains the current target SDD temperature as 32 bit float.  <br /></td></tr>
<tr class="separator:a7d1dbe5dfc70c60cf58105d8f69dab10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a5f2fadb5e07f3505cf455d812f5d5c" id="r_a0a5f2fadb5e07f3505cf455d812f5d5c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0a5f2fadb5e07f3505cf455d812f5d5c">rdy</a></td></tr>
<tr class="memdesc:a0a5f2fadb5e07f3505cf455d812f5d5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current "Ready" state as boolean.  <br /></td></tr>
<tr class="separator:a0a5f2fadb5e07f3505cf455d812f5d5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d27d2573d3cc9ff68488695d852d711" id="r_a1d27d2573d3cc9ff68488695d852d711"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1d27d2573d3cc9ff68488695d852d711">aRdy</a></td></tr>
<tr class="memdesc:a1d27d2573d3cc9ff68488695d852d711"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current "Almost Ready" state as boolean.  <br /></td></tr>
<tr class="separator:a1d27d2573d3cc9ff68488695d852d711"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b22c1db8f7be4bd7f22be47abbe9fb6" id="r_a7b22c1db8f7be4bd7f22be47abbe9fb6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7b22c1db8f7be4bd7f22be47abbe9fb6">hotSide</a></td></tr>
<tr class="memdesc:a7b22c1db8f7be4bd7f22be47abbe9fb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The TEC hot side temperature in degrees Celsius as 32 bit float.  <br /></td></tr>
<tr class="separator:a7b22c1db8f7be4bd7f22be47abbe9fb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67df860bfa6f469b8ff59d52f0bb2833" id="r_a67df860bfa6f469b8ff59d52f0bb2833"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a67df860bfa6f469b8ff59d52f0bb2833">monSigFinal</a></td></tr>
<tr class="memdesc:a67df860bfa6f469b8ff59d52f0bb2833"><td class="mdescLeft">&#160;</td><td class="mdescRight">The final limited control variable as float32.  <br /></td></tr>
<tr class="separator:a67df860bfa6f469b8ff59d52f0bb2833"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa45f0c2b2661e0258bf278ee3ab4a1d0" id="r_aa45f0c2b2661e0258bf278ee3ab4a1d0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa45f0c2b2661e0258bf278ee3ab4a1d0">ctrlSigFinal</a></td></tr>
<tr class="memdesc:aa45f0c2b2661e0258bf278ee3ab4a1d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The calculated control variable as float32.  <br /></td></tr>
<tr class="separator:aa45f0c2b2661e0258bf278ee3ab4a1d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9000b5caf5cb5ddcf82ce87dca080af" id="r_af9000b5caf5cb5ddcf82ce87dca080af"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af9000b5caf5cb5ddcf82ce87dca080af">iPartLimit</a></td></tr>
<tr class="memdesc:af9000b5caf5cb5ddcf82ce87dca080af"><td class="mdescLeft">&#160;</td><td class="mdescRight">The information, if the integral part is limited as boolean.  <br /></td></tr>
<tr class="separator:af9000b5caf5cb5ddcf82ce87dca080af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b2ec41dbdbb70951bc570385b4bffed" id="r_a3b2ec41dbdbb70951bc570385b4bffed"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3b2ec41dbdbb70951bc570385b4bffed">tecActive</a></td></tr>
<tr class="memdesc:a3b2ec41dbdbb70951bc570385b4bffed"><td class="mdescLeft">&#160;</td><td class="mdescRight">The active status of the peltier cooler as boolean.  <br /></td></tr>
<tr class="separator:a3b2ec41dbdbb70951bc570385b4bffed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b52cd49ec05fc3953491ff54c58f363" id="r_a0b52cd49ec05fc3953491ff54c58f363"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0b52cd49ec05fc3953491ff54c58f363">tecDac</a></td></tr>
<tr class="memdesc:a0b52cd49ec05fc3953491ff54c58f363"><td class="mdescLeft">&#160;</td><td class="mdescRight">The DAC set value in mV as 16 bit unsigned short (Little-endian = low byte first).  <br /></td></tr>
<tr class="separator:a0b52cd49ec05fc3953491ff54c58f363"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7b28648bf5e8b3cdf977c6a2deeab82" id="r_ac7b28648bf5e8b3cdf977c6a2deeab82"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac7b28648bf5e8b3cdf977c6a2deeab82">pPart</a></td></tr>
<tr class="memdesc:ac7b28648bf5e8b3cdf977c6a2deeab82"><td class="mdescLeft">&#160;</td><td class="mdescRight">P part.  <br /></td></tr>
<tr class="separator:ac7b28648bf5e8b3cdf977c6a2deeab82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0df3bae2151155225fb345048999c519" id="r_a0df3bae2151155225fb345048999c519"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0df3bae2151155225fb345048999c519">iPart</a></td></tr>
<tr class="memdesc:a0df3bae2151155225fb345048999c519"><td class="mdescLeft">&#160;</td><td class="mdescRight">I part.  <br /></td></tr>
<tr class="separator:a0df3bae2151155225fb345048999c519"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae678d181a7ef05c5cfdd75ce402b588b" id="r_ae678d181a7ef05c5cfdd75ce402b588b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae678d181a7ef05c5cfdd75ce402b588b">dPart</a></td></tr>
<tr class="memdesc:ae678d181a7ef05c5cfdd75ce402b588b"><td class="mdescLeft">&#160;</td><td class="mdescRight">D part.  <br /></td></tr>
<tr class="separator:ae678d181a7ef05c5cfdd75ce402b588b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>VIAMP liveInfo2 structure used in <a class="el" href="a00002.html#ad986e951938330f6e1b081e4ca347b1b" title="Returns extended live system status information from VIAMP.">liveInfo2VIAMP()</a>. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a1d27d2573d3cc9ff68488695d852d711" name="a1d27d2573d3cc9ff68488695d852d711"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d27d2573d3cc9ff68488695d852d711">&#9670;&#160;</a></span>aRdy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> aRdy</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current "Almost Ready" state as boolean. </p>

</div>
</div>
<a id="a034e17abde75680aeedb87fcc13810c4" name="a034e17abde75680aeedb87fcc13810c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a034e17abde75680aeedb87fcc13810c4">&#9670;&#160;</a></span>bk</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> bk</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The Back voltage in V as 32 bit float. </p>

</div>
</div>
<a id="aa45f0c2b2661e0258bf278ee3ab4a1d0" name="aa45f0c2b2661e0258bf278ee3ab4a1d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa45f0c2b2661e0258bf278ee3ab4a1d0">&#9670;&#160;</a></span>ctrlSigFinal</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> ctrlSigFinal</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The calculated control variable as float32. </p>

</div>
</div>
<a id="ae678d181a7ef05c5cfdd75ce402b588b" name="ae678d181a7ef05c5cfdd75ce402b588b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae678d181a7ef05c5cfdd75ce402b588b">&#9670;&#160;</a></span>dPart</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> dPart</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>D part. </p>

</div>
</div>
<a id="a08c0499f53c40362fddf75a44b9a31cb" name="a08c0499f53c40362fddf75a44b9a31cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08c0499f53c40362fddf75a44b9a31cb">&#9670;&#160;</a></span>er</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a28d62e044fc472c1bd5e34bfe57cf8a3">LiveInfoVIAMPErrorType</a> er</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current error code of the VIAMP. </p>

</div>
</div>
<a id="a7b22c1db8f7be4bd7f22be47abbe9fb6" name="a7b22c1db8f7be4bd7f22be47abbe9fb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b22c1db8f7be4bd7f22be47abbe9fb6">&#9670;&#160;</a></span>hotSide</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> hotSide</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The TEC hot side temperature in degrees Celsius as 32 bit float. </p>

</div>
</div>
<a id="a0df3bae2151155225fb345048999c519" name="a0df3bae2151155225fb345048999c519"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0df3bae2151155225fb345048999c519">&#9670;&#160;</a></span>iPart</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> iPart</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>I part. </p>

</div>
</div>
<a id="af9000b5caf5cb5ddcf82ce87dca080af" name="af9000b5caf5cb5ddcf82ce87dca080af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9000b5caf5cb5ddcf82ce87dca080af">&#9670;&#160;</a></span>iPartLimit</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> iPartLimit</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The information, if the integral part is limited as boolean. </p>

</div>
</div>
<a id="a7c070d3668d24864810a1a6c15b14792" name="a7c070d3668d24864810a1a6c15b14792"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c070d3668d24864810a1a6c15b14792">&#9670;&#160;</a></span>itec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> itec</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The peltier output current as 32 bit float in ampere. </p>

</div>
</div>
<a id="a67df860bfa6f469b8ff59d52f0bb2833" name="a67df860bfa6f469b8ff59d52f0bb2833"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67df860bfa6f469b8ff59d52f0bb2833">&#9670;&#160;</a></span>monSigFinal</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> monSigFinal</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The final limited control variable as float32. </p>

</div>
</div>
<a id="ac7b28648bf5e8b3cdf977c6a2deeab82" name="ac7b28648bf5e8b3cdf977c6a2deeab82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7b28648bf5e8b3cdf977c6a2deeab82">&#9670;&#160;</a></span>pPart</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> pPart</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>P part. </p>

</div>
</div>
<a id="a0bc84d0a46e6bc245c9a3381e310cae2" name="a0bc84d0a46e6bc245c9a3381e310cae2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bc84d0a46e6bc245c9a3381e310cae2">&#9670;&#160;</a></span>r1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> r1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The Ring1 voltage in V as 32 bit float. </p>

</div>
</div>
<a id="a0a5f2fadb5e07f3505cf455d812f5d5c" name="a0a5f2fadb5e07f3505cf455d812f5d5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a5f2fadb5e07f3505cf455d812f5d5c">&#9670;&#160;</a></span>rdy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> rdy</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current "Ready" state as boolean. </p>

</div>
</div>
<a id="ae4409e8f7f173f2922a9d22d74885398" name="ae4409e8f7f173f2922a9d22d74885398"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4409e8f7f173f2922a9d22d74885398">&#9670;&#160;</a></span>rx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> rx</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The RingX voltage in V as 32 bit float. </p>

</div>
</div>
<a id="afe086c30c0e9332053e4e9af4ba77634" name="afe086c30c0e9332053e4e9af4ba77634"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe086c30c0e9332053e4e9af4ba77634">&#9670;&#160;</a></span>sddTmp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> sddTmp</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The SDD temperature as 32 bit float in degrees Celsius. </p>

</div>
</div>
<a id="afe87eec97c26ff58495ce86e015d976f" name="afe87eec97c26ff58495ce86e015d976f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe87eec97c26ff58495ce86e015d976f">&#9670;&#160;</a></span>st</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a593679ebe2c5361d1e91ebc58b3e25e3">LiveInfoVIAMPStateType</a> st</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current system status of the VIAMP. </p>

</div>
</div>
<a id="a7d1dbe5dfc70c60cf58105d8f69dab10" name="a7d1dbe5dfc70c60cf58105d8f69dab10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d1dbe5dfc70c60cf58105d8f69dab10">&#9670;&#160;</a></span>targetTmp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> targetTmp</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>(Target temperature, not TARGET_TMP_EEP (EEPROM)) contains the current target SDD temperature as 32 bit float. </p>

</div>
</div>
<a id="a3b2ec41dbdbb70951bc570385b4bffed" name="a3b2ec41dbdbb70951bc570385b4bffed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b2ec41dbdbb70951bc570385b4bffed">&#9670;&#160;</a></span>tecActive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> tecActive</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The active status of the peltier cooler as boolean. </p>

</div>
</div>
<a id="a0b52cd49ec05fc3953491ff54c58f363" name="a0b52cd49ec05fc3953491ff54c58f363"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b52cd49ec05fc3953491ff54c58f363">&#9670;&#160;</a></span>tecDac</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a> tecDac</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The DAC set value in mV as 16 bit unsigned short (Little-endian = low byte first). </p>

</div>
</div>
<a id="a26dc46d0a29a1460a4735aea9991f92f" name="a26dc46d0a29a1460a4735aea9991f92f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26dc46d0a29a1460a4735aea9991f92f">&#9670;&#160;</a></span>utec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> utec</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The peltier output voltage as 32 bit float in volts. </p>

</div>
</div>
<a id="a422da0ae469d2e81eb57e933f93368d7" name="a422da0ae469d2e81eb57e933f93368d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a422da0ae469d2e81eb57e933f93368d7">&#9670;&#160;</a></span>viampAdc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> viampAdc</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The ADC value in V as 32 bit float. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="a00058.html">LiveInfo2VIAMPType</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
